From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/uvloop/
Date: Fri, 20 Sep 2024 05:12:06 +0000 (UTC) [thread overview]
Message-ID: <1726808765.0de2ac4b8f9925521549f00e89318fbbdfe952f6.mgorny@gentoo> (raw)
commit: 0de2ac4b8f9925521549f00e89318fbbdfe952f6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 20 05:06:05 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 20 05:06:05 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0de2ac4b
dev-python/uvloop: Bump to 0.21.0_beta1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/uvloop/Manifest | 1 +
dev-python/uvloop/uvloop-0.21.0_beta1.ebuild | 83 ++++++++++++++++++++++++++++
2 files changed, 84 insertions(+)
diff --git a/dev-python/uvloop/Manifest b/dev-python/uvloop/Manifest
index b6fab96461ec..0b81d56b6cda 100644
--- a/dev-python/uvloop/Manifest
+++ b/dev-python/uvloop/Manifest
@@ -1,2 +1,3 @@
DIST uvloop-0.19.0-cython3.patch.xz 6352 BLAKE2B 4a7056299d3d430ce5b6986d43ba4f20726ae4f9635042a43e2995ea373ed53ddce6af2eaa32202f81f80a27bd1d814e635a6be091b5f751bcf6825fd2c8e88a SHA512 aeda541f1327860d23b31ffda9923270a56a8311ec86b06f3bd653478bff591372106e8848af5229e3ad298e950b4c3a728ab4dd9056219b8afe55f5dd58ee3d
DIST uvloop-0.20.0.tar.gz 2329938 BLAKE2B c9f230b16227bc98c071e060c98b4920d919c732f20237aedb3af9eb0b21d224bcdd6bd10c77ad45d24c64c70fb7e0d3ccde6d1eb90c67c33c1671bacad2a3b0 SHA512 9597f66e735b039b3eb6ad9ae3a1e58e710e6ba38b9131384befde15795f2a5fde7d5724af0e6f4e6c335fa14605dde5d28256f05b1e36c706e851fbe3ccb46c
+DIST uvloop-0.21.0b1.tar.gz 2492824 BLAKE2B aa9b07ca6f95020e22384e848abc137e1b7fd95092b01e41471a620c4614a48f64fb1031b6f6842a62dcdf2c727c1849421bbfc862e1eb0bbb84173668cd2f07 SHA512 ae0caf4c79102ad12d0b1bedf4ec64929ad15a281908fbb336f806fa35194838ce14993e49d569b53e4aa8824e51a5a5a7156f938111ec4d2e0f1319db72b415
diff --git a/dev-python/uvloop/uvloop-0.21.0_beta1.ebuild b/dev-python/uvloop/uvloop-0.21.0_beta1.ebuild
new file mode 100644
index 000000000000..125f4a5d40c3
--- /dev/null
+++ b/dev-python/uvloop/uvloop-0.21.0_beta1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Ultra-fast implementation of asyncio event loop on top of libuv"
+HOMEPAGE="
+ https://github.com/magicstack/uvloop/
+ https://pypi.org/project/uvloop/
+"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-0.19.0-cython3.patch.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 -riscv ~sparc ~x86"
+IUSE="examples"
+
+DEPEND="
+ >=dev-libs/libuv-1.11.0:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-python/cython-3.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/aiohttp-3.10.5[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-22.0.0[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ rm -r vendor || die
+ cat <<-EOF >> setup.cfg || die
+ [build_ext]
+ use_system_libuv=True
+ cython_always=True
+ EOF
+
+ # force cythonization
+ rm uvloop/loop.c || die
+
+ distutils-r1_python_prepare_all
+
+ # don't append -O2... however, it's not splitting args correctly,
+ # so let's pass something safe
+ export UVLOOP_OPT_CFLAGS=-Wall
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_IGNORE=(
+ # linting
+ tests/test_sourcecode.py
+ )
+ local EPYTEST_DESELECT=(
+ # unhappy about sandbox injecting its envvars
+ tests/test_process.py::Test_UV_Process::test_process_env_2
+ tests/test_process.py::Test_AIO_Process::test_process_env_2
+ # crashes on assertion
+ # https://github.com/MagicStack/uvloop/issues/574
+ tests/test_cython.py::TestCythonIntegration::test_cython_coro_is_coroutine
+ # Internet
+ tests/test_dns.py::Test_UV_DNS::test_getaddrinfo_{8,9}
+ )
+
+ rm -rf uvloop || die
+ epytest -s
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
next reply other threads:[~2024-09-20 5:12 UTC|newest]
Thread overview: 113+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-20 5:12 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-06 3:47 [gentoo-commits] repo/gentoo:master commit in: dev-python/uvloop/ WANG Xuerui
2024-11-03 3:52 Michał Górny
2024-11-02 22:51 Sam James
2024-11-02 11:45 Arthur Zamarin
2024-11-02 10:54 Arthur Zamarin
2024-11-02 10:41 Arthur Zamarin
2024-11-02 9:40 Arthur Zamarin
2024-11-02 8:48 Michał Górny
2024-11-02 8:48 Michał Górny
2024-10-15 7:00 Michał Górny
2024-10-15 5:22 Sam James
2024-10-10 12:20 Arthur Zamarin
2024-10-08 19:09 Arthur Zamarin
2024-10-05 11:48 Arthur Zamarin
2024-10-05 9:16 Arthur Zamarin
2024-10-05 9:04 Sam James
2024-10-05 8:50 Arthur Zamarin
2024-09-12 18:23 Michał Górny
2024-09-12 18:23 Michał Górny
2024-09-12 17:29 Arthur Zamarin
2024-09-02 7:29 Arthur Zamarin
2024-09-01 21:06 Sam James
2024-08-31 20:26 Sam James
2024-08-31 20:26 Sam James
2024-08-31 9:43 Arthur Zamarin
2024-08-31 8:21 Arthur Zamarin
2024-08-16 3:18 Michał Górny
2024-06-14 19:10 Petr Vaněk
2024-02-14 20:34 Michał Górny
2024-02-14 16:29 Ionen Wolkens
2024-01-29 9:23 Sam James
2024-01-29 8:19 Sam James
2024-01-29 8:19 Sam James
2024-01-29 8:19 Sam James
2024-01-29 7:51 Sam James
2024-01-29 7:02 Arthur Zamarin
2024-01-14 3:10 Sam James
2023-12-25 8:37 Sam James
2023-12-25 8:37 Sam James
2023-11-16 18:25 Michał Górny
2023-11-16 16:22 Sam James
2023-11-15 19:21 Arthur Zamarin
2023-11-15 18:39 Arthur Zamarin
2023-11-15 17:40 Sam James
2023-11-15 16:45 Arthur Zamarin
2023-11-15 16:45 Arthur Zamarin
2023-11-15 16:34 Arthur Zamarin
2023-10-23 3:05 Michał Górny
2023-10-23 3:05 Michał Górny
2023-10-14 14:00 Michał Górny
2023-10-14 14:00 Michał Górny
2023-08-06 12:30 Michał Górny
2023-05-04 17:04 Michał Górny
2023-03-16 4:13 Michał Górny
2022-10-27 23:46 Sam James
2022-10-25 10:44 Sam James
2022-10-23 7:53 Agostino Sarubbo
2022-10-22 16:18 Arthur Zamarin
2022-10-22 15:58 Arthur Zamarin
2022-10-22 15:56 Arthur Zamarin
2022-10-22 15:53 Arthur Zamarin
2022-09-22 14:05 Michał Górny
2022-07-04 6:57 Michał Górny
2021-12-04 8:54 Arthur Zamarin
2021-12-03 14:20 Arthur Zamarin
2021-11-24 23:59 Sam James
2021-11-19 11:39 Arthur Zamarin
2021-11-19 8:37 Arthur Zamarin
2021-11-19 7:59 Arthur Zamarin
2021-11-18 10:50 Sam James
2021-11-18 10:39 Sam James
2021-11-18 9:09 Sam James
2021-11-15 16:29 Agostino Sarubbo
2021-11-13 9:42 Jakov Smolić
2021-10-17 6:31 Sam James
2021-10-10 23:49 Sam James
2021-10-04 11:12 Michał Górny
2021-10-04 11:00 Agostino Sarubbo
2021-09-27 9:15 Michał Górny
2021-09-20 6:25 Agostino Sarubbo
2021-08-11 5:58 Michał Górny
2021-08-05 14:08 Sam James
2021-08-05 13:30 Sam James
2021-08-05 10:56 Marek Szuba
2021-08-05 0:33 Sam James
2021-08-05 0:33 Sam James
2021-08-02 3:58 Sam James
2021-08-01 20:30 Matt Turner
2021-07-29 18:47 Michał Górny
2021-07-29 18:47 Michał Górny
2021-07-26 2:27 Sam James
2021-07-15 9:22 Michał Górny
2021-07-12 0:58 Sam James
2021-07-08 7:11 Sergei Trofimovich
2021-07-08 7:09 Sergei Trofimovich
2021-04-28 23:24 Michał Górny
2021-03-30 17:09 Thomas Deutschmann
2021-02-19 8:22 Michał Górny
2021-02-16 0:32 Michał Górny
2021-02-10 8:35 Michał Górny
2020-05-19 12:49 Michał Górny
2020-03-29 10:30 Michał Górny
2019-11-06 7:26 Michał Górny
2019-08-14 23:04 Michał Górny
2019-07-15 15:03 Michał Górny
2019-07-15 15:03 Michał Górny
2017-10-14 9:45 Ulrich Müller
2017-10-14 9:45 Ulrich Müller
2017-10-02 22:03 Patrice Clement
2016-09-08 17:40 David Seifert
2016-05-25 8:15 Patrice Clement
2016-05-13 17:25 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1726808765.0de2ac4b8f9925521549f00e89318fbbdfe952f6.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox